// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/kernel/BBoolean.java,v 1.2 1999/09/12 06:53:34 tp079519 Exp $

package au.edu.swin.synergy.kernel;


import au.edu.swin.synergy.debug.Debug;

import java.io.Serializable;


/**
 * A boolean in an object
 * This is much like java.lang.Boolean, but you can change the value
 * It is in an object so you can wait on it
 * @Author John Newbigin
 * @Copyright Synergy Software 1999
 */

public class BBoolean implements Serializable
{
	public static final long serialVersionUID = 20485475281525478L;

	private boolean value = false;

	public BBoolean(boolean fValue)
	{
		value = fValue;
	}

	public BBoolean()
	{
	}

	public boolean getValue()
	{
		return value;
	}

	public void setValue(boolean fValue)
	{
		value = fValue;
	}
}
