// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/kernel/event/BShutdownCE.java,v 1.4 1999/10/15 14:21:52 tp079519 Exp $
package au.edu.swin.synergy.kernel.event;

import au.edu.swin.synergy.kernel.BCommandEvent;

/**
 * Notify of a pending shutdown.
 * @author John
 * If you want to stop the shutdown, then respond to this event by
 * Calling complet with kSuccess
 * If no plugins do this, then the kernel will call
 * System.exit(0)
 */

public class BShutdownCE extends BCommandEvent
{
	/**
	 * Call completion with this number to stop a shutdown
	 */
	public static final int kCancelShutdown = 1;
	
	private boolean cancel = true;
    
    public BShutdownCE( Object source )
    {
        super( source );
    }

	public boolean getCancel()
	{
		return cancel;
	}

	// note that there is no set cancel
	// if you don't want to cancel, don't call completion
}
