// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/lib/BGridBagConstraints.java,v 1.4 1999/08/28 10:20:17 tp079519 Exp $


package au.edu.swin.synergy.lib;
import java.awt.GridBagConstraints;
import java.awt.Insets;

/**
 * The BGridBagConstraints is a wrapper around the GridBagConstraints class
 * which allows the properties to be set in a normal manner as opposed to
 * the strangely un-java like manner in which the original GridBagConstraints works.
 *
 * @author Tristan Austin (adapated from the borland class GridBagConstraints2
 * Please complete these missing tags
 * @copyright
 */
public class BGridBagConstraints extends GridBagConstraints
{
    /**
     * Creats a new grid bag constraints object with the given constraints.
     *
     * @param   gridx   The grid position on the x axes
     * @param   gridy   The grid position on the y axes
     * @param   gridwidth   The number of cell positions the components extends across
     * @param   gridheight  The number of cell positions the components extends down
     * @param   weightx The weight associated with this constraint when resizing on the x axes
     * @param   weighty The weight associated with this constraint when resizing on the y axes
     * @param   insets  The insets
     * @param   ipadx  The padding on the x axes
     * @param   ipady   The padding on the y axes
     * Please complete the missing tags for BGridBagConstraints
     * @return
     * @pre
     * @post
     */
    public BGridBagConstraints( int gridx, int gridy, int gridwidth, int gridheight,
    double weightx, double weighty, int anchor, int fill,
    Insets insets, int ipadx, int ipady )
    {
        //Set the constraints
        this.gridx = gridx;
        this.gridy = gridy;
        this.gridwidth = gridwidth;
        this.gridheight = gridheight;
        this.fill = fill;
        this.ipadx = ipadx;
        this.ipady = ipady;
        this.insets = insets;
        this.anchor = anchor;
        this.weightx = weightx;
        this.weighty = weighty;
    }
    
    /**
     * Creats a new grid bag constraints object with the given constraints.
     *
     * @param   gridx   The grid position on the x axes
     * @param   gridy   The grid position on the y axes
     * @param   gridwidth   The number of cell positions the components extends across
     * @param   gridheight  The number of cell positions the components extends down
     * @param   weightx The weight associated with this constraint when resizing on the x axes
     * @param   weighty The weight associated with this constraint when resizing on the y axes
     * Please complete the missing tags for BGridBagConstraints
     * @return
     * @pre
     * @post
     */
    public BGridBagConstraints( int gridx, int gridy, int gridwidth, int gridheight,
    double weightx, double weighty, int anchor, int fill,
    int ipadx, int ipady )
    {
        this( gridx, gridy, gridwidth, gridheight, weightx, weighty, anchor, fill, new Insets( 0, 0, 0, 0 ), ipadx, ipady );
    }
}
