
/**
 * interface BSplitable
 *
 * Interface that is used by the BViewWindow for
 * displaying mulitiple views of any document.
 *
 * Important methods are:
 * BSplitable getNewView()
 *
 * that returns a new view onto the objects view.
 *
 * @author Imron Alston
 * @copyright Team Synergy 1999
 */

package au.edu.swin.synergy.lib;

import java.awt.event.*;
import java.awt.*;

public interface BSplitable extends AdjustmentListener
{
	public BSplitable getNewView();

	public void setHorzAdjustable( Adjustable horz );
	public void setVertAdjustable( Adjustable vert );
	public void removeHorzAdjustable();
	public void removeVertAdjustable();
}