/**
 * BDrawableButton - a class that overides the jtogglebutton
 * and draws the image on the buttons itself...
 * also stores a BDrawable with it, so when people click
 * it, they know what BDrawable it represents..
 *
 * @author Imron Alston
 * @copyright team synergy 1999
 */
//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/diagram/BIconView.java,v 1.2 1999/10/15 08:42:14 tp079479 Exp $

package au.edu.swin.synergy.plugin.diagram;

import javax.swing.*;
import java.awt.*;


import au.edu.swin.synergy.plugin.diagram.BDrawable;
import au.edu.swin.synergy.math.BScalar;
import au.edu.swin.synergy.math.BScalarRect;
import au.edu.swin.synergy.math.BScalarPoint;

import au.edu.swin.synergy.debug.Debug;

public class BIconView implements BView
{
	
		
	private static BScalar z = null;
	private static BScalar ooz = new BScalar(1);
	private static final BScalarRect tmpRect = new BScalarRect( 0, 0, 0, 0 );	
	public static final BScalarPoint kOrigin = new BScalarPoint( 0, 0 );

	public static BScalarPoint halfWH = new BScalarPoint();

	public static BIconView view = new BIconView();


	public static void setOOZ( BScalar pOoz )
	{
		ooz.setValue(pOoz);
	}

	public static void setHalfWH( BScalarPoint pt )
	{
		halfWH.setLocation( pt );
	}

	public BScalar getZ()
	{
		return z;
	}

	public BScalar getOOZ()
	{
		return ooz;
	}

	public int getHalfWidth()
	{
		return halfWH.getX();
	}

	public int getHalfHeight()
	{
		return halfWH.getX();
	}

	public int getWidth()
	{
		return halfWH.getX() << 1;
	}

	public int getHeight()
	{
		return halfWH.getY() << 1;
	}

	public int getXPos()
	{
		return 0;
	}

	public int getYPos()
	{
		return 0;
	}

	public BScalarRect getViewCoords()
	{
		return tmpRect;
	}

	public BScalarRect getViewBounds()	
	{
		return tmpRect;
	}

	public BScalarPoint getHalfWH()
	{
		return halfWH;
	}


	


}
