// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/mod13/bwt/BDialog.java,v 1.3 1999/09/28 10:59:50 tp079479 Exp $

/**
 * Base class for modal dialogs.
 * @see
 * @concurrency
 * @copyright
 * @rref
 * Please complete these missing tags
 * @author
 */

package au.edu.swin.synergy.plugin.mod13.bwt;


import javax.swing.*;
import java.awt.*;

import au.edu.swin.synergy.kernel.BPlugin;
import au.edu.swin.synergy.kernel.BKernel;
import au.edu.swin.synergy.kernel.BCommandComplete;

import au.edu.swin.synergy.plugin.mod13.event.BAddWindowCE;
import au.edu.swin.synergy.plugin.mod13.event.BCloseWindowCE;

import au.edu.swin.synergy.plugin.dialect.BString;

import au.edu.swin.synergy.debug.Debug;



public class BDialog
{
    public static final int kError = - 1;
    public static final int kOK = 1;
    public static final int kCancel = 2;
    public static final int kYes = 3;
    public static final int kNo = 4;

    BPlugin plugin = null;
    JComponent component = null;
    BDialogDone onCloseListener = null;
    /**
     * Please complete the missing tags for BDialog
     * @param
     * @return
     * @pre
     * @post
     */

    public BDialog( BPlugin fPlugin, BDialogDone handler )
    {
        plugin = fPlugin;
        onCloseListener = handler;
    }
    /**
     * Please complete the missing tags for show
     * @param
     * @return
     * @pre
     * @post
     */

    public void show( JComponent fComponent, BString caption )
    {
        Debug.doPrintln( "Showing dialog" );
        component = fComponent;
        BAddWindowCE addWindow = new BAddWindowCE( this, component, caption );
        addWindow.setDialog( true );
        plugin.dispatchEvent( addWindow );
    }
    /**
     * Please complete the missing tags for close
     * @param
     * @return
     * @pre
     * @post
     */

    public void close( int status )
    {
        Debug.doPrintln( "Closing dialog" );
        BCloseWindowCE closeWindow = new BCloseWindowCE( this, component );
        plugin.dispatchEvent( closeWindow );

        onCloseListener.onClose( this, status );
    }


}
