// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/mod13/event/BAddStatusCE.java,v 1.5 1999/10/16 04:22:32 tp079210 Exp $


package au.edu.swin.synergy.plugin.mod13.event;

import javax.swing.*;

import au.edu.swin.synergy.kernel.BCommandEvent;

/**
 * Use this event when you wish to add a panel to the
 * status bar. When passing a JPanel into this, you should
 * keep a reference to it to update it. It will be resized
 * vertically so don't put anything that requires a great height
 * on here.
 *
 * @author Tristan Austin
 * Please complete these missing tags
 * @copyright
 */
public class BAddStatusCE extends BWindowCE
{
    /**
     * The panel to add to the status bar
     */
    private JPanel panel = null;

    /**
     * The priority indicates where on the status bar the component should go
     */
    int priority;

    /**
     * Creates a new add status event with the given
     * panel to place on the status bar.
     *
     * @param   source  The creator of the event
     * @param   fPanel  The panel to place on the status bar
     * Please complete the missing tags for BAddStatusCE
     * @return
     * @pre
     * @post
     */
    public BAddStatusCE( Object source, JPanel fPanel )
    {
        this(source, fPanel, 0);
    }

    /**
     * Creates a new add status event with the given
     * panel to place on the status bar.
     *
     * @param   source  The creator of the event
     * @param   fPanel  The panel to place on the status bar
     * @param   priority    The priority of the component, the higher the lefter and vice versa  (negative values are valid)
     */
    public BAddStatusCE( Object source, JPanel fPanel, int priority )
    {
        super( source );
        this.panel = fPanel;
        this.priority = priority;
    }
    
    /**
     * Gets the panel to add to the status bar
     * Please complete the missing tags for getPanel
     * @param
     * @return
     * @pre
     * @post
     */
    public JPanel getPanel()
    {
        return panel;
    }

    /**
     * Gets the priority of this status component
     */
    public int getPriority()
    {
        return priority;
    }
}
