//$HEader$

package au.edu.swin.synergy.plugin.modeller.event;


/**
 * The listener interface for receiving BSelectionEvents.  The class that is interested in processing an 
 * BSelectionEvent implements this interface, and the object created with that class is registered with a  
 * BDrawable component, using the component's addSelectionListener method.
 *
 * When the selection event occurs, that object's onSelection method is invoked. 
 *
 * @author Matthew Evans
 */
public interface BSelectionListener
{
	public void onSelection( BSelectionEvent e );
}
