
//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/packager/BNewTerminatorPanel.java,v 1.5 1999/10/17 07:10:56 tp079210 Exp $


package au.edu.swin.synergy.plugin.packager;

import javax.swing.*;
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;

import au.edu.swin.synergy.lib.BGridBagConstraints;

import au.edu.swin.synergy.kernel.BPlugin;
import au.edu.swin.synergy.plugin.mod13.event.BCloseWindowCE;
import au.edu.swin.synergy.plugin.dialect.BString;
import au.edu.swin.synergy.plugin.dialect.BDialect;
import au.edu.swin.synergy.plugin.mod13.bwt.BDialog;
import au.edu.swin.synergy.plugin.mod13.bwt.BDialogDone;


public class BNewTerminatorPanel extends BDialog implements ActionListener
{

	public static final int kCancel = 0;
	public static final int kOk = 1;

	JButton okButton = new JButton();
	JButton cancelButton = new JButton();
	JTextField nameField = null;
	JLabel nameLabel = null;
	int result = kCancel;
	BPlugin plugin = null;
	JPanel dialogPanel = null;


	public BNewTerminatorPanel( BPlugin fplugin, BDialogDone handler )
	{
		super( fplugin, handler );

		plugin = fplugin;

		dialogPanel = new JPanel();

		okButton.setText( BDialect.getString("ok") );
		cancelButton.setText( BDialect.getString("cancel" ) );
		nameLabel = new JLabel( BDialect.getString( this, "namelabel" ) );
		nameField = new JTextField(20);

		okButton.addActionListener( this );
		cancelButton.addActionListener( this );

        dialogPanel.setSize(300, 80);

		dialogPanel.setLayout( new GridBagLayout() );
        BGridBagConstraints constraints = new BGridBagConstraints(0, 0, 1, 1, 0, 0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0);
		dialogPanel.add( nameLabel, constraints );

        constraints = new BGridBagConstraints(1, 0, 2, 1, 1, 0, GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0);
		dialogPanel.add( nameField, constraints );

        constraints = new BGridBagConstraints(1, 1, 1, 1, 1, 0, GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0);
		dialogPanel.add( okButton, constraints );

        constraints = new BGridBagConstraints(2, 1, 1, 1, 0, 0, GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0);
		dialogPanel.add( cancelButton, constraints );
	}

	public void actionPerformed( ActionEvent event )
	{
		Object source = event.getSource();

		if ( source == okButton )
		{

			//onClose( kOk );
            close( kOK );

		}
		else if ( source == cancelButton )
		{
			//onClose( kCancel );
			close( kCancel );
		}
	}

	/*protected void onClose( int status )
	{
		BCloseWindowCE closeWindow = new BCloseWindowCE( this, this );
		result = status;
        plugin.dispatchEvent( closeWindow );
	}*/

	public int getResult()
	{
		return result;
	}

	public String getTerminatorName()
	{
		return this.nameField.getText();
	}

    public void show()
    {
        super.show( dialogPanel, new BString( this, "newterminatortitle" ) );
    }

}