/**
 * Please complete these missing tags
 * @author
 * @copyright
 */


//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/packager/BPackageNodeDiagram.java,v 1.44 1999/10/17 05:45:27 tp079479 Exp $

package au.edu.swin.synergy.plugin.packager;

import au.edu.swin.synergy.plugin.diagram.BDiagram;
import au.edu.swin.synergy.plugin.diagram.BDrawable;
import au.edu.swin.synergy.shapes.BRectangle;
import au.edu.swin.synergy.shapes.BEllipse;
import au.edu.swin.synergy.shapes.BRoundRect;
import au.edu.swin.synergy.shapes.BLine;
import au.edu.swin.synergy.shapes.BPolygon;
import au.edu.swin.synergy.shapes.BTextArea;
import au.edu.swin.synergy.plugin.metamodeller.BMetaElement;


import au.edu.swin.synergy.math.BScalarRect;
import au.edu.swin.synergy.math.BScalarPoint;
import au.edu.swin.synergy.debug.Debug;



import java.awt.*;
import java.awt.event.*;
import java.util.Vector;


public class BPackageNodeDiagram implements BDiagram
{
	public static final int kNoIndex = -1;


    BPackageNode pNode = null;

    Vector placeable = null;

	//don't need to save these
	BDrawable curAdd = null;


	int propIndex = -1;
    /**
     * Please complete the missing tags for BPackageNodeDiagram
     * @param
     * @return
     * @pre
     * @post
     */


    public BPackageNodeDiagram()
    {
        this.placeable = new Vector();

        //hack this for now...
        this.placeable.add( new BRectangle( -5, -5, 10, 10 ) );
        this.placeable.add( new BEllipse( -5, -5, 10, 10 ) );
		this.placeable.add( new BRoundRect( 0, 0, 5, 15 ) );
		this.placeable.add( new BTextArea ( 0, 0, 15, 5 ) );
		this.placeable.add( new BLine ( 0, 0, 0, 0 ) );
		this.placeable.add( new BPolygon ( 0, 0, 0, 0 ) );
//		this.placeable.add( new BPrimitiveShape( new BFillRectangle ( 0, 0, 75, 75 ) ) );
//		this.placeable.add( new BPrimitiveShape( new BFillEllipse ( 0, 0, 75, 75 ) ) );
//		this.placeable.add( new BPrimitiveShape( new BText ( 0, 0, 0, 0 ) ) );

//		Debug.doPrintln("BPackageNodeDiagram constructor creating useless pnode", Debug.kWarningLevel );
        this.pNode = null;//new BPackageNode( (BMetaElement)null );

		this.curAdd = null;

    }
    /**
     * Please complete the missing tags for getGroups
     * @param
     * @return
     * @pre
     * @post
     */

//    public Vector getDrawables()
//    {
//        return this.pNode.getDrawables();
//    }


	public void addVisibleDrawablesToList( Vector visibleList, BScalarRect bounds )
	{
		Vector drawables = null;
		BDrawable cur = null;
		BTextArea curProp = null;
		int size, i;

		if ( this.pNode == null ) return;

		drawables = pNode.getDrawables();

		size = drawables.size();
		for ( i = 0; i < size; i++ )
		{
			cur = (BDrawable)drawables.elementAt( i );

			if ( cur.intersects( bounds ) )
			{
				visibleList.add( cur );
			}
		}
		drawables = pNode.getProperties();

		size = drawables.size();
		for ( i = 0; i < size; i++ )
		{
			curProp = (BTextArea)drawables.elementAt( i );

			if ( curProp.intersects( bounds ) && curProp.isVisible () )
			{
				visibleList.add( curProp );
			}		
		}
	}

	public void setPropIndex( int index )
	{
		this.propIndex = index;
	}


    /**
     * Please complete the missing tags for getPlaceableDrawables
     * @param
     * @return
     * @pre
     * @post
     */

    public Vector getPlaceableDrawables()
    {
        return this.placeable;
    }
    /**
     * Please complete the missing tags for setPackageNode
     * @param
     * @return
     * @pre
     * @post
     */

    public void setPackageNode( BPackageNode pNode )
    {
        this.pNode = pNode;
    }
    /**
     * Please complete the missing tags for addGroup
     * @param
     * @return
     * @pre
     * @post
     */

    public void createDrawable( String name, BScalarPoint pos )
    {
		BDrawable cur = null;
		BDrawable newDrawable = null;
		Vector drawables = null;
		int i, size;

		drawables = this.getPlaceableDrawables();
		size = drawables.size();
		for ( i = 0; i < size; i++ )
		{
			cur = (BDrawable)drawables.elementAt( i );
			if ( cur.getName().equals( name ) )
			{
				newDrawable = cur.newInstance();
				newDrawable.setPos( pos );
				this.addDrawable( newDrawable );
				break;
			}
		}
    }

	public void addDrawable( BDrawable drawable )
	{
		if ( this.pNode != null )
		{
			this.pNode.addDrawable( drawable );
		}
	}


	public BDrawable startAdd( BDrawable drawable, BScalarPoint pos, BDrawable under )
	{
		BDrawable d = drawable.newInstance();
		
		if ( pNode != null )
		{
			if ( this.propIndex == kNoIndex )
			{
				Debug.doPrintln ( "adding drawable to package node" );

				d.setPos( pos );
				d.setHighlighted( true );
				this.pNode.addDrawable( d );
			}
			else
			{
				Debug.doPrintln ( "testing for btextarea" );
				if ( drawable instanceof BTextArea )
				{
					Debug.doPrintln ( "adding text property to node" );
					this.pNode.addTextProperty( propIndex, pos );
					d = this.pNode.getTextProperty( propIndex );

				}
			}

		}

		this.curAdd = d;

		this.curAdd.startAdd();

		return d;
	}

	public boolean continueAdd( BScalarPoint pos, BDrawable under )
	{
		this.curAdd.continueAdd( pos );
		return true;
	}

	public void dragAdd( BScalarPoint deltaXY, BDrawable under )
	{
		if ( this.curAdd != null )
		{
			this.curAdd.dragAdd( deltaXY );
		}
	}

	public boolean stopAdd( BScalarPoint pos, BDrawable under, int modifiers )
	{
		boolean result = true;
		if ( this.curAdd != null )
		{
			if ( this.curAdd instanceof BPolygon && (modifiers & MouseEvent.BUTTON2_MASK) != MouseEvent.BUTTON2_MASK)
			{				
				result = false;
			}
			else
			{	
				this.curAdd.stopAdd();
				this.curAdd = null;		
			}
		}
		

		return result;
	}

	public void delete( BDrawable drawable )
	{
		int index = this.pNode.getDrawableIndex( drawable );

		if ( index >= 0 )
		{
			this.pNode.removeDrawable( index );
		}
		else
		{
			Debug.doPrintln("Cannot delete, index is " + index );
		}
	}

	public void bringSelectionToFront( Vector selection )
	{
		this.pNode.bringSelectionToFront( selection );
	}

	public void sendSelectionToBack( Vector selection )
	{
		this.pNode.sendSelectionToBack( selection );
	}
}
