//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/packager/BPackagerPrefs.java,v 1.2 1999/09/04 03:31:16 tp079541 Exp $

package au.edu.swin.synergy.plugin.packager;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import au.edu.swin.synergy.lib.BColorCombo;

/**
 * Supplies the panel to be dispalyed in the prefernces section.
 * Allows user to specify the colors to be used
 *
 * @author Shane Fitzgibbon
 */
public class BPackagerPrefs extends JPanel
{
	
	BColorCombo colorChooser;
	JLabel errorLabel = new JLabel();
	JLabel dragLabel = new JLabel();
	JLabel selectionLabel = new JLabel();
	BColorCombo errorCombo = new BColorCombo();
	BColorCombo dragCombo = new BColorCombo();
	BColorCombo selectionCombo = new BColorCombo();

	/**
	 * Constructor for the preference panel
	 */
	public BPackagerPrefs()
	{
		this.doInit();
	}
	
	private void doInit()	 
	{
		this.setLayout(new GridBagLayout());
		this.setBounds(0,0,388,244);
		errorLabel.setText("Error Color");
		this.add(errorLabel,new GridBagConstraints(0,0,1,1,0.0,0.0,GridBagConstraints.CENTER,GridBagConstraints.NONE,new Insets(48,72,0,0),34,9));
		errorLabel.setBounds(72,48,96,24);
		dragLabel.setText("Drag Color");
		this.add(dragLabel,new GridBagConstraints(0,1,1,1,0.0,0.0,GridBagConstraints.CENTER,java.awt.GridBagConstraints.NONE,new Insets(24,72,0,0),36,9));
		dragLabel.setBounds(72,96,96,24);
		selectionLabel.setText("Selection Color");
		this.add(selectionLabel,new GridBagConstraints(0,2,1,1,0.0,0.0,java.awt.GridBagConstraints.CENTER,java.awt.GridBagConstraints.NONE,new Insets(24,72,76,0),10,9));
		selectionLabel.setBounds(72,144,96,24);
		this.add(errorCombo,new GridBagConstraints(1,0,1,1,0.0,0.0,java.awt.GridBagConstraints.CENTER,java.awt.GridBagConstraints.NONE,new Insets(48,0,0,90),0,-3));
		errorCombo.setBounds(168,48,130,24);
		errorCombo.addItem(Color.black);
		this.add(dragCombo,new GridBagConstraints(1,1,1,1,0.0,0.0,java.awt.GridBagConstraints.CENTER,java.awt.GridBagConstraints.NONE,new Insets(24,0,0,90),0,-3));
		dragCombo.setBounds(168,96,130,24);
		this.add(selectionCombo,new GridBagConstraints(1,2,1,1,0.0,0.0,java.awt.GridBagConstraints.CENTER,java.awt.GridBagConstraints.NONE,new Insets(24,0,76,90),0,-3));
		
		selectionCombo.setBounds(168,144,130,24);
		dragCombo.setSelectedIndex(0);
		selectionCombo.setSelectedIndex(0);
		errorCombo.setSelectedIndex(0);
	}
} 