// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/repository/event/BStatFileCE.java,v 1.7 1999/10/08 05:20:38 tp082177 Exp $

package au.edu.swin.synergy.plugin.repository.event;

import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.plugin.userdb.BUser;

import java.lang.String;
import java.util.Vector;
import au.edu.swin.synergy.lib.BStringList;
import au.edu.swin.synergy.plugin.repository.BMetaData;
import java.util.*;


/**
 * Get a BFile status
 * @see
 * @concurrency
 * @copyright
 * @rref
 * @author John Newbigin
 */

public class BStatFileCE extends BRepositoryCE
{
	static final long serialVersionUID = -7719137944239221584L;

	boolean directory = false;
	long size = -1;
	long date = 0;

	/**
	 * users the list of users who could access this file
	 */
	Vector users;

	/**
	 * The list of groups which might be able to access this file
	 */
	Vector groups;

	BStringList files = null;

    public BStatFileCE( Object source, String fFileName, BCommandComplete complete )
    {
        super( source, fFileName, complete );
    }

	public boolean isDirectory()
	{
		return directory;
	}

	public void setDirectory(boolean fDirectory)
	{
		directory = fDirectory;
	}

	public long getSize()
	{
		return size;
	}

	public void setSize(long fSize)
	{
		size = fSize;
	}

	public long getDate()
	{
		return date;
	}

	public void setDate(long fDate)
	{
		date = fDate;
	}

	public void setFiles(BStringList fFiles)
	{
		files = fFiles;
	}

	public BStringList getFiles()
	{
		return files;
	}

	public Vector getUsers()
	{
		return users;
	}

	public void setUsers( Vector fUsers )
	{
		users = fUsers;
	}

	public Vector getGroups()
	{
		return groups;
	}

	public void setGroups(Vector fGroups)
	{
		groups = fGroups;
	}

}
