/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright
 * @rref
 * @author
 */
// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/roomgui/BChatGui.java,v 1.20 1999/08/28 10:20:23 tp079519 Exp $ 
   package au.edu.swin.synergy.plugin.roomgui;

   import au.edu.swin.synergy.plugin.rooms.event.BChatMsgCE;

   import au.edu.swin.synergy.plugin.rooms.event.BChatMsgCE;
   import au.edu.swin.synergy.plugin.rooms.event.BGetRoomCE;
   import au.edu.swin.synergy.plugin.rooms.event.BGetRoomsCE;
   import au.edu.swin.synergy.plugin.rooms.event.BEnterRoomCE;
   import au.edu.swin.synergy.plugin.rooms.BRoom;
   import au.edu.swin.synergy.plugin.rooms.BChatUser;
   import au.edu.swin.synergy.kernel.BCommandEvent;
   import au.edu.swin.synergy.kernel.BCommandComplete;
   import au.edu.swin.synergy.kernel.BPlugin;
   import au.edu.swin.synergy.lib.BStringList;

   import au.edu.swin.synergy.debug.Debug;

   import java.util.Vector;


   import java.awt.*;
   import javax.swing.*;
   import javax.swing.border.*;
   import java.awt.event.*;

   public class BChatGui extends JPanel
   {
      BChatPanel chatPanel = new BChatPanel();
      BControlPanel controlPanel = new BControlPanel();
      JMenu chatMenu = new JMenu();
      JMenuItem createRoomMI = new JMenuItem();
      JMenuItem editRoomMI = new JMenuItem();
      JMenuItem deleteRoomMI = new JMenuItem();
      BPlugin plugin;
    /**
     * Please complete the missing tags for BChatGui
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      public BChatGui( BPlugin fPlugin )
      {
         Debug.doPrintln( "In Constructor" + this );
         plugin = fPlugin;
         this.doInit();
      }
    /**
     * Please complete the missing tags for getChatPanel
     * @param
     * @return
     * @pre
     * @post
     */
   
      public BChatPanel getChatPanel()
      {
         return chatPanel;
      }
    /**
     * Please complete the missing tags for getControlPanel
     * @param
     * @return
     * @pre
     * @post
     */
   
      public BControlPanel getControlPanel()
      {
         return controlPanel;
      }
    /**
     * Please complete the missing tags for doChangeRoom
     * @param
     * @return
     * @pre
     * @post
     */
   
      public void doChangeRoom()
      {
         chatPanel.doChangeRoom();
         if (( String ) controlPanel.getDoorModel().getSelectedItem() != null)
         {
            BEnterRoomCE event = new BEnterRoomCE( this, ( String ) controlPanel.getDoorModel().getSelectedItem(), new BOnGetRoomCC( controlPanel.getDoorModel() ) );
            plugin.dispatchEventServer( event );
         }
      }
    /**
     * Please complete the missing tags for reload
     * @param
     * @return
     * @pre
     * @post
     */
   
      public void reload()
      {
         Debug.doPrintln( "BChatGui:reload()" );
         BGetRoomCE event = new BGetRoomCE( this, null, new BOnGetRoomCC( controlPanel.getDoorModel() ) );
         plugin.dispatchEventServer( event );
      }
    /**
     * Please complete the missing tags for doInit
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      private void doInit()
      {
         Debug.doPrintln( "In init" );
         chatPanel.setPlugin( plugin );
         controlPanel.setPlugin( plugin );
         Debug.doPrintln( "Plugins Set" );
         GridBagLayout gbl1 = new GridBagLayout();
         this.setLayout( gbl1 );
         this.setSize( 800, 600 );
         this.setPreferredSize( new Dimension( 800, 600 ) );
      
         GridBagConstraints gbc1 = new GridBagConstraints();
         gbc1.fill = GridBagConstraints.BOTH;
         gbc1.weightx = 1;
         gbc1.weighty = 1;
        //gbc1.anchor = GridBagConstraints.CENTER;
      
         add( this, chatPanel, gbc1, 0, 0, 1, 1 );
         gbc1.weightx = 0.4;
         gbc1.weighty = 0.4;
         add( this, controlPanel, gbc1, 1, 0, 1, 1 );
      
         BGetRoomCE event = new BGetRoomCE( this, null, new BOnGetRoomCC( controlPanel.getDoorModel() ) );
         Debug.doPrintln( "Sending BGetRoomCE: " + event );
         plugin.dispatchEventServer( event );
      }
    /**
     * Please complete the missing tags for add
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      private void add( JPanel panel, Component c, GridBagConstraints gbc, int x, int y, int w, int h )
      {
         gbc.gridx = x;
         gbc.gridy = y;
         gbc.gridwidth = w;
         gbc.gridheight = h;
         panel.add( c, gbc );
      }
      class BOnGetRoomCC extends BCommandComplete
      {
      
         BDoorsModel doorsModel;
      
         public BOnGetRoomCC( BDoorsModel fDoorsModel )
         {
            doorsModel = fDoorsModel;
         }
      
         public void doComplete( BCommandEvent event, int status )
         {
            Debug.doPrintln( "Got Completion Event " );
            if( status == au.edu.swin.synergy.kernel.BCommandComplete.kSuccess )
            {
               Debug.doPrintln( "Completion Status = Success" );
            }
            else
            {
               Debug.doPrintln( "Completion Status = Error" );
            }
            doorsModel.clear();
            BGetRoomCE e = ( BGetRoomCE ) event;
            BRoom room = e.getRoom();
            BStringList doors = room.getDoors();
            for( int i = 0; i < doors.getCount(); i++ )
            {
               doorsModel.addItem( doors.get( i ) );
            }
         
            chatPanel.setRoomLabel( room.getName() );
            BStringList files = room.getFiles();
            BFileListModel fileModel = controlPanel.getFileModel();
            fileModel.clear();
            for( int i = 0; i < files.getCount(); i++ )
            {
               fileModel.addItem( files.get( i ) );
            }
            Vector users = room.getUsers();
            BPeopleTableModel peopleModel = controlPanel.getPeopleModel();
            peopleModel.clear();
            for( int i = 0; i < users.size(); i++ )
            {
               BChatUser user = ( BChatUser ) users.get( i );
               peopleModel.addUser( user.getName(), new Integer( user.getAge() ),user.getNickname(), user);
            }
         
         
         }
      }
   
   }




