/**
 * Event for sending private chat messages
 * @see
 * @concurrency
 * @copyright Synergy Software 1999
 * @rref
 * @author	Shane Fitzgibbon
 */
// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/rooms/event/BChatPrivCE.java,v 1.2 1999/08/28 10:20:24 tp079519 Exp $
   package au.edu.swin.synergy.plugin.rooms.event;

   import java.lang.String;
   import au.edu.swin.synergy.kernel.BCommandEvent;
   import au.edu.swin.synergy.lib.BStringList;

// This is the event which is passed around


   public class BChatPrivCE extends BCommandEvent
   
   {
    // add data elements in here....
      String message;
      String name;
      int sourceID;
      int targetID;
    /**
     * Constructor
     * @param source The class that dispatched the event
     * @param fMessage the chat message
     * @param fName who sent the chat message
     */
   
   
      public BChatPrivCE( Object source, String fMessage, String fName )
      
      {
         super( source );
        // other stuff...
         message = fMessage;
         name = fName;
      }
    /**
     * Gets the message that is being broadcasted
     * @return the chat message
     * @param none
     */
   
   
      public String getMessage()
      
      {
         return message;
      }
   
    /**
     * Returns the name of the user who sent this message
     * @return user name
     */
   
   
      public String getName()
      
      {
         return name;
      }
   
      public int getTargetID()
      {
         return targetID;
      }
   
      public int getSourceID()
      {
         return sourceID;
      }
   
      public void setSourceID( int id )
      {
         sourceID = id;
      }
   }