/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright Synergy Software 1999
 * @rref
 * @author ShaneFitzgibbon
 */
// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/rooms/event/BEditUserCE.java,v 1.8 1999/08/28 10:20:24 tp079519 Exp $

package au.edu.swin.synergy.plugin.rooms.event;

import java.util.Vector;
import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;

import au.edu.swin.synergy.plugin.rooms.BRoom;
import au.edu.swin.synergy.plugin.rooms.BChatUser;

/**
 * Edits the user
 */

public class BEditUserCE extends BCommandEvent

{
	/**
	* User to edit.
	*/
    BChatUser editedUser;
    
    
    /**
     * Constructor.
     * @param source Source of event.
	 * @param eUser User with edited details.
	 * @param complete Completion object executed once event processedx
     */   
      public BEditUserCE ( Object source, BChatUser eUser,  BCommandComplete complete )      
      {
         super ( source );
         setCompletionObject ( complete );
      	setEditedUser(eUser);         
      }
   
    /**
     * Retrieve edited user.
     * @return Edited user.
     * @pre User has been set.
     */   
      public BChatUser getEditedUser ()
      {
         return editedUser;
      }
   
    /**
     * Set user with edited details in this event.
     * @param eUser Edited user.
     * @pre User hasn't been set.
     * @post User set.
     */
      public void setEditedUser(BChatUser eUser)
      {
         editedUser = eUser;
      }
}

