// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/server/event/BGetNetworkStatusCE.java,v 1.3 1999/08/28 10:20:25 tp079519 Exp $

package au.edu.swin.synergy.plugin.server.event;

import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.plugin.userdb.BUser;


/**
 * Get the Current network status
 * @see
 * @concurrency
 * @copyright Synergy Software 1999
 * @rref
 * @author John Newbigin
 */

public class BGetNetworkStatusCE extends BCommandEvent
{
	public static final int kNone = 0;
	public static final int kClient = 1;
	public static final int kServer = 2;
	
    int connections = 0;
    int status = kNone;
	
    
    public BGetNetworkStatusCE( Object source, BCommandComplete complete )
    {
        super( source );
        setCompletionObject( complete );
    }
	
   
    public int getStatus()
    {
        return status;
    }
	
    /**
     * Please complete the missing tags for setUser
     * @param
     * @return
     * @pre
     * @post
     */
    
    public void setStatus( int fStatus )
    {
        status = fStatus;
    }
    /**
     * Please complete the missing tags for getID
     * @param
     * @return
     * @pre
     * @post
     */
    
    public int getConnections()
    {
        return connections;
    }

	public void setConnections(int fConnections)
	{
		connections = fConnections;
	}

	public boolean isConnected()
	{
		return connections > 0;
	}
}
