// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/server/event/BRegisterFilterCE.java,v 1.1 1999/08/29 07:12:15 tp079519 Exp $

package au.edu.swin.synergy.plugin.server.event;

import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.plugin.server.BSessionSetup;


/**
 * Register a new SocketObjectPipe filter
 * @see
 * @concurrency
 * @copyright
 * @rref
 * @author John Newbigin
 */

public class BRegisterFilterCE extends BCommandEvent
{
	private BSessionSetup filter;
	
    public BRegisterFilterCE( Object source, BSessionSetup fFilter, BCommandComplete complete )
    {
        super( source );
        setCompletionObject( complete );
		filter = fFilter;
    }

	public BSessionSetup getFilter()
	{
		return filter;
	}
}
