

package au.edu.swin.synergy.plugin.userdb.event;

/**
 * Whenever the user database refreshes the database
 * from the disk at the users behest, this event
 * is created and broadcast. This should be a fairly
 * rare occurence.
 *
 * @author Tristan Austin
 */
public class BDBUpdateCE extends BUserDBCE
{
    /**
     * Simply passes the source of the event to
     * the super class.
     *
     * @param   source  The source of the event
     */
    public BDBUpdateCE(Object source)
    {
        super(source);
    }
} 