

package au.edu.swin.synergy.plugin.userdb.event;

import au.edu.swin.synergy.plugin.userdb.BPrivileged;
import au.edu.swin.synergy.kernel.BCommandComplete;

/**
 * Any events which extend this will require the
 * user responsible for the event to have administrator
 * access in order to be executed.
 *
 * @author Tristan Austin
 */
public class BOwnerCE extends BUpdatePrivilegedCE
{
    /**
     * Simply provides a means for child events
     * to set their source
     *
     * @param   source  The source of the event
     */
    public BOwnerCE(Object source, BPrivileged newItem, BCommandComplete complete )
    {
        super(source, newItem, complete);
    }
}
