

package au.edu.swin.synergy.plugin.userdb.event;

import au.edu.swin.synergy.kernel.BCommandEvent;

/**
 * This provides a base class for all events destined
 * for the user database. This way it can simply check
 * once to see if it is going to care at all while
 * still allowing the flexibility of listening to others
 * if it needs to.
 *
 * @author Tristan Austin
 */
public class BUserDBCE extends BCommandEvent
{
    /**
     * Simply provides a means for child events
     * to set their source
     *
     * @param   source  The source of the event
     */
    public BUserDBCE(Object source)
    {
        super(source);
    }
} 