

package au.edu.swin.synergy.plugin.workspace;

import java.awt.Color;
import javax.swing.JTree;
import javax.swing.tree.*;

/**
 * The BWorkspaceTree provides the visual representation of the Workspace.
 *
 * @author Matthew Evans
 */
public class BWorkspaceTree extends JTree
{

  BWorkspaceCellRenderer cellRenderer;

  public BWorkspaceTree(BWorkspaceTreeModel workspaceModel)
  {
    super(workspaceModel);
	cellRenderer = new BWorkspaceCellRenderer(this);
	
	this.setCellRenderer(cellRenderer);
    this.getSelectionModel().setSelectionMode(TreeSelectionModel.DISCONTIGUOUS_TREE_SELECTION);
  }

}

