// $Header:

/**
*
* @author Christian Karolos
* @date 1/10/99
*/

package au.edu.swin.synergy.shapes;

import java.awt.*;

import au.edu.swin.synergy.shapes.BLineEditorPanel;
import au.edu.swin.synergy.shapes.BPropPanel;
import au.edu.swin.synergy.shapes.BLine;

public class BLineProperties extends BPropPanel
{
    BLine line;
    BLineEditorPanel panel;

    public BLineProperties ( BLine l )
    {
        line = l;
        
        setSize ( 300, 300 );
        setLayout ( new BorderLayout () );

        panel = new BLineEditorPanel ( line.getStroke (), line.getLineColour (), line.getLineStyle () );
        add ( panel, BorderLayout.CENTER );
    }

    public boolean okPressed ()
    {
        line.setStroke ( panel.getLineStroke () );
        line.setLineColour ( panel.getColour () );
		line.setLineStyle ( panel.getStyle () );
        return true;
    }

    public boolean cancelPressed ()
    {
        return true;
    }
}