// $Header:

package au.edu.swin.synergy.shapes;

import javax.swing.*;
import java.awt.*;

import au.edu.swin.synergy.shapes.BFillEditorPanel;
import au.edu.swin.synergy.shapes.BLineEditorPanel;
import au.edu.swin.synergy.shapes.BRectShape;
import au.edu.swin.synergy.shapes.BPropPanel;

import au.edu.swin.synergy.debug.Debug;


public class BRectShapeProperties extends BPropPanel
{
    BRectShape shape;

    BFillEditorPanel fillPanel;
    BLineEditorPanel linePanel;

    public BRectShapeProperties ( BRectShape s )
    {
        shape = s;
//        tmpShape = new BRectShape ( shape );
        setLayout ( new BorderLayout () );
        setSize ( 300, 300 );
        setPreferredSize ( new Dimension ( 300, 300 ) );

        linePanel = new BLineEditorPanel ( shape.getStroke (), shape.getLineColour (), shape.getStyle () );
        fillPanel = new BFillEditorPanel ( shape.getFillColour () );
        add ( fillPanel, BorderLayout.NORTH );
        add ( linePanel, BorderLayout.SOUTH );
    }

    public boolean okPressed ()
    {
        // Apply any changes made.
		shape.setStyle ( linePanel.getStyle () );
        shape.setStroke ( linePanel.getLineStroke () );
        shape.setLineColour ( linePanel.getColour () );
        shape.setFillColour ( fillPanel.getColour () );

        Debug.doPrintln ( "Setting new attr values to shape." );
        return true;
    }

    public boolean cancelPressed ()
    {
        return true;
    }
}