package au.edu.swin.synergy.make;

import java.lang.String;

public class BMake
{
	public static final int kDelete = 0;
	public static final int kCopy = 1;
	
    public static void main( String [] args )
	{
		String src = ".";
		String build = ".";

		int task = kDelete;

		int i = 0;
		while(i < args.length)
		{
			if(args[i].equals("-s"))
			{
				i++;
				src = args[i];
				i++;
			}
			else if(args[i].equals("-d"))
			{
				i++;
				build = args[i];
				i++;
			}
			else if(args[i].equals("-copy"))
			{
				task = kCopy;
				i++;
			}
			else
			{
				System.err.println("Unknown command line paramater " + args[i]);
				return;
			}
		}
		System.err.println("Source      = " + src);
		System.err.println("Destination = " + build);

		if(task == kDelete)
		{
			new BFileProcess().doProcess(src, build);
		}
		else if(task == kCopy)
		{
			new BFileCopy().doProcess(src, build);
		}
	}

}
