// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/alias/BCohesionAlias.java,v 1.4 1999/10/16 12:55:52 tp079519 Exp $

package au.edu.swin.synergy.plugin.alias;

import java.lang.String;
import au.edu.swin.synergy.kernel.BPlugin;
import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.kernel.BBlockingComplete;
import au.edu.swin.synergy.kernel.event.BBootCE;

import au.edu.swin.synergy.plugin.command.BOnCommand;
import au.edu.swin.synergy.plugin.command.event.BRegisterCmdCE;
import au.edu.swin.synergy.plugin.command.event.BGetEnvironmentCE;
import java.io.InputStream;
import java.io.PrintStream;
import java.io.File;
import au.edu.swin.synergy.lib.BStringList;
import au.edu.swin.synergy.lib.io.BSaveable;
import au.edu.swin.synergy.lib.io.BDataFile;
import au.edu.swin.synergy.debug.Debug;

import au.edu.swin.synergy.plugin.modeller.BModel;
import au.edu.swin.synergy.plugin.modeller.BModelElement;
import au.edu.swin.synergy.plugin.modeller.BModelNode;
import au.edu.swin.synergy.plugin.modeller.BModelArc;


/**
 * Registers BDataFile class map aliases
 * @Author John Newbigin
 * @Copyright Synergy Software 1999
 * @see
 * @concurrency
 * @rref
 */

public class BCohesionAlias extends BPlugin
{
    
    public void setup(BStringList params)
    {
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.workspace.BWorkspaceTreeModel", "workspace");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.workspace.BProject", "project");

		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.packager.BPackageModel", "package");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.packager.BPackageNode", "packageNode");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.packager.BPackageArc", "packageArc");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.packager.BProperty", "packageProperty");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.packager.BPackageTerminator", "packageTerminator");
		
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.modeller.BModel", "model");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.modeller.BModelNode", "modelNode");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.modeller.BModelArc", "modelArc");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.modeller.BSaveTextArea", "modelText");

		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.metamodeller.BMetaModel", "metaModel");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.metamodeller.BMetaNode", "metaNode");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.metamodeller.BMetaArc", "metaArc");
		new BDataFile.ClassMap("au.edu.swin.synergy.plugin.metamodeller.BMetaRule", "metaRule");
	  	
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BEllipse", "ellipse");
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BRectangle", "rectangle");
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BRoundRect", "roundrect");
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BTextArea", "textarea");
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BLine", "line");
		new BDataFile.ClassMap("au.edu.swin.synergy.shapes.BPolygon", "polygon");
		
		

		// and un-register ourself
        getKernel().doUnRegister( this );
	}
    
    public void onBCommandEvent( Object source, BCommandEvent event )
    {
		
    }
}
