// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/clientgui/BLoginDlg.java,v 1.13 1999/10/16 03:11:55 tp079210 Exp $

/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright
 * @rref
 */

package au.edu.swin.synergy.plugin.clientgui;


import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.ComboBoxModel;

import javax.swing.*;
import java.awt.*;

import au.edu.swin.synergy.kernel.BPlugin;
import au.edu.swin.synergy.debug.Debug;
import au.edu.swin.synergy.plugin.mod13.bwt.BDialog;
import au.edu.swin.synergy.plugin.mod13.bwt.BDialogDone;
import au.edu.swin.synergy.plugin.mod13.bwt.BSwingUtilities;

import au.edu.swin.synergy.plugin.dialect.BString;
import au.edu.swin.synergy.plugin.dialect.BDialect;



/**
 * This allows the user to log on to the server.
 *
 * @author Tristan Austin
 * Modified by John Newbigin
 */

public class BLoginDlg extends BDialog
{
    /**
     * The combo box containing the list of available servers
     */
    JComboBox serverComboBox = new JComboBox();
    
    /**
     * The server label
     */
    JLabel serverLabel = new JLabel();
    
    /**
     * The user name label
     */
    JLabel userNameLabel = new JLabel();
    
    /**
     * The user name field
     */
    JTextField userNameField = new JTextField();
    
    /**
     * The password label
     */
    JLabel passwordLabel = new JLabel();
    
    /**
     * The login button
     */
    JButton loginButton = new JButton();
    
    /**
     * The cancel button
     */
    JButton cancelButton = new JButton();
    
    /**
     * The password field
     */
    JPasswordField passwordField = new JPasswordField();
    
    /**
     * The dialog box
     */
    JPanel dialog;
    
    String userName = null;
    String password = null;
    String hostName = null;
    
    
    /**
     * The default constructor as defined by JBuilder. This needs
     * to be moved so that there is no "jbInit() call.
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    public BLoginDlg( BPlugin fPlugin, BDialogDone handler )
    {
        super( fPlugin, handler );

        dialog = new JPanel();
        
        try
        {
            jbInit();
        }
        catch( Exception ex )
        {
            Debug.doPrintln( "Error creating login dialog: " + ex );
        }
    }
    /**
     * Please complete the missing tags for getUserName
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public String getUsername()
    {
        return userName;
    }
    /**
     * Please complete the missing tags for getPassword
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public String getPassword()
    {
        return password;
    }
    /**
     * Please complete the missing tags for getHostName
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public String getHostName()
    {
        return hostName;
    }
    /**
     * Please complete the missing tags for setServerListModel
     * @param
     * @return
     * @pre
     * @post
     */
    
    public void setServerListModel( ComboBoxModel fModel )
    {
        serverComboBox.setModel( fModel );
    }
    /**
     * Please complete the missing tags for show
     * @param
     * @return
     * @pre
     * @post
     */
    
    public void show()
    {
        super.show( dialog, new BString(this, "login") );
    }
    /**
     * Please complete the missing tags for getResult
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    private void jbInit() throws Exception
    {
        //Initialise all the components
        dialog.setLayout( null );

        //Add the components to the bean in their appropriate locations

        serverLabel.setBounds( 20, 20, 75, 25 );
        serverComboBox.setBounds( 100, 20, 150, 25 );
        serverComboBox.setEditable( true );

        userNameLabel.setBounds( 20, 50, 75, 25 );
        userNameField.setBounds( 100, 50, 120, 25 );

        passwordLabel.setBounds( 20, 90, 75, 25 );
        passwordField.setBounds( 100, 90, 120, 25 );

        loginButton.setBounds( 65, 130, 75, 25 );
        cancelButton.setBounds( 160, 130, 75, 25 );

        dialog.add( serverLabel );
        dialog.add( serverComboBox );

        dialog.add( userNameLabel );
        dialog.add( userNameField );

        dialog.add( passwordLabel );
        dialog.add( passwordField );

        dialog.add( loginButton );
        dialog.add( cancelButton );

        //Set the size
        dialog.setSize( 300, 200 );

        //Set up the listener
        this.loginButton.addActionListener( new onLoginButton() );
        this.cancelButton.addActionListener( new onCancelButton() );

        //Set the local specifc text
        this.doDialect();
    }

    /**
     * This will set the screen text to the appriate values for the current locale
     */
    protected void doDialect()
    {
        BSwingUtilities.setJLabelText(serverLabel, BDialect.getString(this, "server"));
        BSwingUtilities.setJLabelText(userNameLabel, BDialect.getString(this, "userName"));
        BSwingUtilities.setJLabelText(passwordLabel, BDialect.getString(this, "password"));

        BSwingUtilities.setJButtonText(loginButton, BDialect.getString("ok"));
        BSwingUtilities.setJButtonText(cancelButton, BDialect.getString("cancel"));
    }


    class onLoginButton implements java.awt.event.ActionListener
    {
        public void actionPerformed( ActionEvent e )
        {
            Debug.doPrintln( "login pressed" );
            userName = userNameField.getText();
            password = new String( passwordField.getPassword() );
            hostName = ( String ) serverComboBox.getSelectedItem();
            close( kOK );
        }
    }
    
    class onCancelButton implements java.awt.event.ActionListener
    {
        public void actionPerformed( ActionEvent e )
        {
            Debug.doPrintln( "cancel pressed" );
            close( kCancel );
        }
    }
    
}


