// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/help/BHelpTabbedPane.java,v 1.12 1999/10/15 04:09:23 tp079210 Exp $
/**
 * Please complete these missing tags
 * @author
 * @copyright
 */
package au.edu.swin.synergy.plugin.help;

import java.awt.*;
import javax.swing.*;
import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;

import au.edu.swin.synergy.plugin.help.BHelpManager;
import au.edu.swin.synergy.plugin.help.BContentTab;
import au.edu.swin.synergy.plugin.help.BFindTab;
import au.edu.swin.synergy.plugin.help.BIndexTab;
import au.edu.swin.synergy.debug.Debug;

import au.edu.swin.synergy.plugin.dialect.BDialect;

import au.edu.swin.synergy.plugin.mod13.bwt.BSwingUtilities;

public class BHelpTabbedPane extends JTabbedPane
{
    BIndexTab indexTab;
    BContentTab contentTab;
    BFindTab findTab;

	BHelpManager helpManager;

    JTabbedPane tabPane;
    JButton displayButton;

    /**
     * Please complete the missing tags for BHelpTabbedPane
     * @param
     * @return
     * @pre
     * @post
     */

    public BHelpTabbedPane( BHelpManager hm )
    {
		helpManager = hm;

        BSwingUtilities.setSize(this, new Dimension(200, 200), true);

        contentTab = new BContentTab( hm );
        BSwingUtilities.addTab(this, BDialect.getString ( this, "contenttab" ), contentTab);

        indexTab = new BIndexTab( hm );
        BSwingUtilities.addTab(this, BDialect.getString ( this, "indextab" ), indexTab);

        findTab = new BFindTab( hm );
        BSwingUtilities.addTab(this, BDialect.getString ( this, "findtab" ), findTab);

		addChangeListener ( new onTabChange () );
    }

	public void doDialect ()
	{
		indexTab.doDialect ();
		contentTab.doDialect ();
		findTab.doDialect ();

        // Update our own tabs.
        BSwingUtilities.setTitleFor(this, contentTab, BDialect.getString ( this, "contenttab" ));
        BSwingUtilities.setTitleFor(this, indexTab, BDialect.getString ( this, "indextab" ));
        BSwingUtilities.setTitleFor(this, findTab, BDialect.getString ( this, "findtab" ));
	}

	private class onTabChange implements ChangeListener
	{
		public void stateChanged ( ChangeEvent evt )
		{
			Debug.doPrintln ( "State has changed in tabbed pane..." );
			helpManager.validateDisplay ( ( JComponent ) getSelectedComponent () );
		}
	}
}
