//$

package au.edu.swin.synergy.plugin.mailclient;

import au.edu.swin.synergy.lib.BStringList;
import java.io.Serializable;
import java.util.Date;

/**
 * The representation of a message (BMail) being sent by a user on the system, either
 * via SMTP or a Direct message to other logged on users
 *
 * @author Matthew Evans
 * Please complete these missing tags
 * @copyright
 */
public class BMessage implements Serializable
{
    /**
     * The sender of the message
     */
    private String sender;

    /**
     * The intended receivers of the message
     */
    private BStringList receivers;

    /**
     * The subject of the message
     */
    private String subject;

    /**
     * The message
     */
    private String message;

    /**
     * The date the message was sent
     */
    private Date sendDate;

    /**
     * Creates a new BMailCE with the sender and receivers specified
     *
     * @param the sender of the message
     * @param the receivers fo the message
     * Please complete the missing tags for BMailCE
     * @return
     * @pre
     * @post
     */
    public BMessage( String sender, BStringList receivers )
    {
       this.sender = sender;
       this.receivers = receivers;
       sendDate = new Date();
    }

    /**
     * Get the sender of the message
     *
     * @return the sender of the message
     * Please complete the missing tags for getSender
     * @param
     * @return
     * @pre
     * @post
     */
    public String getSender()
    {
        return this.sender;
    }

    public void setSender(String sender)
	 {
	 	this.sender = sender;
	 }

	 /**
     * Get the intended receivers of the message
     *
     * @return A vector of strings containing the message receivers
     * Please complete the missing tags for getReceivers
     * @param
     * @return
     * @pre
     * @post
     */
    public BStringList getReceivers()
    {
        return this.receivers;
    }

    /**
     * Get the subject of the message
     *
     * @return the subject
     * Please complete the missing tags for getSubject
     * @param
     * @return
     * @pre
     * @post
     */
    public String getSubject()
    {
        return this.subject;
    }
    
    /**
     * Get the message
     *
     * @return the message
     * Please complete the missing tags for getMessage
     * @param
     * @return
     * @pre
     * @post
     */
    public String getMessage()
    {
        return this.message;
    }
    
    /**
     * Set the message being represeneted
     *
     * @param the message
     * Please complete the missing tags for setMessage
     * @return
     * @pre
     * @post
     */
    public void setMessage( String message )
    {
        this.message = message;
    }
    
    /**
     * Set the subject for the message
     *
     * @param the subject for the message
     * Please complete the missing tags for setSubject
     * @return
     * @pre
     * @post
     */
    public void setSubject( String subject )
    {
        this.subject = subject;
    }

    public String toString()
    {
        return this.sender + "; " + this.subject;
    }

    /**
     * Returns the date & time the message was sent, contained in a string
     */
    public String getDateMessage()
    {
      return sendDate.toString();
    }
}
