
//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/metamodeller/BCircRule.java,v 1.3 1999/10/12 16:05:31 tp079479 Exp $

package au.edu.swin.synergy.plugin.metamodeller;

import java.io.Serializable;

public class BCircRule implements Serializable
{
	public static final boolean kDefaultResult = true;

	private boolean rule[] = null;
	int numNodes;


	public BCircRule( int numNodes )
	{
		int i;

		this.numNodes = numNodes;
		this.rule = new boolean[numNodes];
		for ( i = 0; i < numNodes; i++ )
		{
			this.rule[i] = BCircRule.kDefaultResult;
		}
	}

	protected BCircRule()
	{
	}

	public final boolean evalCirc( int id )
	{
		boolean result = BCircRule.kDefaultResult;

		if ( id < this.numNodes && id >= 0)
		{
			result = this.rule[id];
		}

		return result;
	}

	public final void setCirc( int id, boolean circ )
	{
		if ( id < this.numNodes && id >= 0)
		{
			this.rule[id] = circ;
		}
	}
}

