
// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/metamodeller/BPropListModel.java,v 1.7 1999/10/12 02:42:57 tp079479 Exp $
   package au.edu.swin.synergy.plugin.metamodeller;

   import au.edu.swin.synergy.debug.Debug;

   import javax.swing.*;
   import java.util.Vector;


/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright Synergy Software 1999
 * @rref
 * @author Shane Fitzgibbon
 */

   public class BPropListModel extends AbstractListModel

   {
      Vector data = new Vector( 8 );
    /**
     * Class Constructor
     */


      public BPropListModel()
      {

      }

   	/**
   	 * Class Constructor that sets the data that the model
   	 * represents.
   	 *
   	 * @param items Vector containing the data to be represented
   	 */
   	public BPropListModel( Vector items )
   	{
   		data = items;
   	}


    /**
     * Gets the Size o fthe list model
     * @return the no of items in the list model
     */
      public int getSize()

      {
         return data.size();
      }

    /**
     * Gets an object in the list model at a specified index
     * @param index the position in the list model to find the object
     * @return the Object found at the index in the list model
     * @throws ArrayIndexOutOfBoundsException
     */

      public Object getElementAt( int index )

      {
         return data.get( index );
      }

    /**
     * Adds a new item to the list model then fires an event to notify
     * listners of the change.
     * @param item the object to be added to the list
     */


      public void addItem( Object item )

      {
         Debug.doPrintln( "BPropListModel:addItem:item: " + item );
         data.add( item );
         fireContentsChanged( this, getSize(), getSize() );
      }
    /**
     * Clears all items from the list model then fires an event to notify listeners
     * of this change
     */


      public void clear()

      {
         Debug.doPrintln( "BPropListModel:clear" );
         data.clear();
         fireContentsChanged( this, 0, getSize() );
      }

   	/**
   	 * Removes an objects in this list model
   	 * @param item the object to be removed.
   	 */

      public void remove( Object item )
      {
         int index = data.indexOf( item );
         data.remove( item );
         fireContentsChanged( this, index, getSize() );
      }

   	/**
   	 * Checks to see if there is an item in the model that matches this one
   	 * @param item Object to look for in the model
   	 */
      public boolean exists( Object item )
      {
         return data.contains( item );
      }

   	/**
   	 * Finds the index of the specified item in the model.  If the object
   	 * cannot be found in the model it returns -1
   	 * @param item Object to find the index of
   	 */
      public int indexOf( Object item )
      {
         if ( exists( item ) )
         {
            return data.indexOf( item );
         }
         else
         {
            return -1;
         }
      }


	  public void addVector( Vector vect )
	  {
		int i, size;

		size = vect.size();

		for ( i = 0; i < size; i++ )
		{
			data.add( vect.elementAt( i ) );
		}
	  }





   }
