

package au.edu.swin.synergy.plugin.mod13.event;

import javax.swing.*;

/**
 * This will take the given panel, locate it on the status
 * bar and remove it. It is the directl opposite to
 * BAddStatusCE and is used in exactly the same way.
 *
 * @see BAddStatusCE
 * @author Tristan Austin
 */
public class BRemoveStatusCE extends BAddStatusCE
{
    /**
     * Creates a new remove status event with the given
     * panel to remove from the status bar.
     *
     * @param   source  The creator of the event
     * @param   fPanel  The panel to remove from the status bar
     */
    public BRemoveStatusCE( Object source, JPanel fPanel )
    {
        super( source, fPanel );
    }
}