// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/mod13/event/BSelectPanelCE.java,v 1.5 1999/10/13 01:23:22 tp079210 Exp $
package au.edu.swin.synergy.plugin.mod13.event;

import au.edu.swin.synergy.kernel.BCommandEvent;

import javax.swing.*;

/**
 * This will allow a module to select the given panel
 * on the specified split pane in the BWindowManager
 *
 * @author Tristan Austin
 * Please complete these missing tags
 * @copyright
 */
public class BSelectPanelCE extends BWindowCE
{
    /**
     * The panel to select
     */
    private JComponent targetPanel = null;
    
    /**
     * The location the panel is located
     */
    private int location = BAddPanelCE.kLeft;
    
    /**
     * Creates a new select event with the specified panel to select
     * and the location on the window manager it resides. When fired, this
     * event will end up being the selected panel of those on the same tabbed pane
     *
     * @param   source  The source of the event
     * @param   targetPanel The panel to select
     * @param   location    BAddPanelCE.kLeft BAddPanelCE.kBottom BAddPanelCE.kRight BAddPanelCE.kTop
     * Please complete the missing tags for BSelectPanelCE
     * @return
     * @pre
     * @post
     */
    public BSelectPanelCE( Object source, JComponent targetPanel, int location )
    {
        super( source );
        this.targetPanel = targetPanel;
        this.location = location;
    }
    
    /**
     * Gets the target panel to select
     *
     * @return The target panel
     * Please complete the missing tags for getTargetPanel
     * @param
     * @pre
     * @post
     */
    public JComponent getTargetPanel()
    {
        return this.targetPanel;
    }
    
    /**
     * Gets the location the panel to select is in
     * Please complete the missing tags for getLocation
     * @param
     * @return
     * @pre
     * @post
     */
    public int getLocation()
    {
        return this.location;
    }
}
