/**
 * Please complete these missing tags
 * @author
 * @copyright
 */


//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/packager/BPackageTerminatorDiagram.java,v 1.12 1999/10/17 05:45:27 tp079479 Exp $

package au.edu.swin.synergy.plugin.packager;

import au.edu.swin.synergy.plugin.diagram.BDiagram;
import au.edu.swin.synergy.plugin.diagram.BDrawable;
import au.edu.swin.synergy.shapes.BRectangle;
import au.edu.swin.synergy.shapes.BEllipse;
import au.edu.swin.synergy.shapes.BRoundRect;
import au.edu.swin.synergy.shapes.BLine;
import au.edu.swin.synergy.shapes.BPolygon;
import au.edu.swin.synergy.shapes.BTextArea;
import au.edu.swin.synergy.plugin.metamodeller.BMetaElement;


import au.edu.swin.synergy.math.BScalarRect;
import au.edu.swin.synergy.math.BScalarPoint;
import au.edu.swin.synergy.debug.Debug;



import java.awt.Point;
import java.util.Vector;
import java.awt.event.*;

public class BPackageTerminatorDiagram implements BDiagram
{
    BPackageTerminator pTerm = null;

    Vector placeable = null;

	BDrawable curAdd = null;
    /**
     * Please complete the missing tags for BPackageTerminatorDiagram
     * @param
     * @return
     * @pre
     * @post
     */


    public BPackageTerminatorDiagram()
    {
        this.placeable = new Vector();

        //hack this for now...
		this.placeable.add( new BRectangle( -5, -5, 10, 10 ) );
        this.placeable.add( new BEllipse( -5, -5, 10, 10 ) );
		this.placeable.add( new BRoundRect( 0, 0, 5, 15 ) );
		this.placeable.add( new BTextArea ( 0, 0, 15, 5 ) );
		this.placeable.add( new BLine ( 0, 0, 0, 0 ) );
		this.placeable.add( new BPolygon ( 0, 0, 0, 0 ) );
//		this.placeable.add( new BPrimitiveShape( new BFillRectangle ( 0, 0, 75, 75 ) ) );
//		this.placeable.add( new BPrimitiveShape( new BFillEllipse ( 0, 0, 75, 75 ) ) );
//		this.placeable.add( new BPrimitiveShape( new BText ( 0, 0, 0, 0 ) ) );

//		Debug.doPrintln("BPackageTerminatorDiagram constructor creating useless pnode", Debug.kWarningLevel );
        this.pTerm = null;//new BPackageNode( (BMetaElement)null );

    }
    /**
     * Please complete the missing tags for getGroups
     * @param
     * @return
     * @pre
     * @post
     */

//    public Vector getDrawables()
//    {
//        return this.pTerm.getDrawables();
//    }


	public void addVisibleDrawablesToList( Vector visibleList, BScalarRect bounds )
	{
		Vector drawables = null;
		BDrawable cur = null;
		int size, i;

		if ( this.pTerm == null ) return;

		drawables = pTerm.getDrawables();

		size = drawables.size();
		for ( i = 0; i < size; i++ )
		{
			cur = (BDrawable)drawables.elementAt( i );

			if ( cur.intersects( bounds ) )
			{
				visibleList.add( cur );
			}
		}
	}


    /**
     * Please complete the missing tags for getPlaceableDrawables
     * @param
     * @return
     * @pre
     * @post
     */

    public Vector getPlaceableDrawables()
    {
        return this.placeable;
    }
    /**
     * Please complete the missing tags for setPackageNode
     * @param
     * @return
     * @pre
     * @post
     */

    public void setTerminator( BPackageTerminator pTerm )
    {
        this.pTerm = pTerm;
    }
    /**
     * Please complete the missing tags for addGroup
     * @param
     * @return
     * @pre
     * @post
     */

    public void createDrawable( String name, BScalarPoint pos )
    {
		BDrawable cur = null;
		BDrawable newDrawable = null;
		Vector drawables = null;
		int i, size;

		drawables = this.getPlaceableDrawables();
		size = drawables.size();
		for ( i = 0; i < size; i++ )
		{
			cur = (BDrawable)drawables.elementAt( i );
			if ( cur.getName().equals( name ) )
			{
				newDrawable = cur.newInstance();
				newDrawable.setPos( pos );
				this.addDrawable( newDrawable );
				break;
			}
		}
    }

	public void addDrawable( BDrawable drawable )
	{
		if ( this.pTerm != null )
		{
			this.pTerm.addDrawable( drawable );
		}
	}


	public BDrawable startAdd( BDrawable drawable, BScalarPoint pos, BDrawable under )
	{
		BDrawable d = drawable.newInstance();
		
		if ( pTerm != null )
		{
			Debug.doPrintln ( "adding drawable to package node" );
			d.setPos( pos );
			d.setHighlighted( true );
			this.pTerm.addDrawable( d );
			
		}

		this.curAdd = d;

		this.curAdd.startAdd();

		return d;
	}

	public boolean continueAdd( BScalarPoint pos, BDrawable under )
	{
		this.curAdd.continueAdd( pos );
		return true;
	}

	public void dragAdd( BScalarPoint deltaXY, BDrawable under )
	{
		if ( this.curAdd != null )
		{
			this.curAdd.dragAdd( deltaXY );
		}
	}

	public boolean stopAdd( BScalarPoint pos, BDrawable under, int modifiers )
	{
		boolean result = true;
		if ( this.curAdd != null )
		{
			if ( this.curAdd instanceof BPolygon && (modifiers & MouseEvent.BUTTON2_MASK) != MouseEvent.BUTTON2_MASK)
			{				
				result = false;
			}
			else
			{	
				this.curAdd.stopAdd();
				this.curAdd = null;		
			}
		}
		

		return result;
	}

	public void delete( BDrawable drawable )
	{
		int index = this.pTerm.getDrawableIndex( drawable );

		if ( index >= 0 )
		{
			this.pTerm.removeDrawable( index );
		}
	}

	public void bringSelectionToFront( Vector selection )
	{
		this.pTerm.bringSelectionToFront( selection );
	}

	public void sendSelectionToBack( Vector selection )
	{
		this.pTerm.sendSelectionToBack( selection );
	}
}
