// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/repository/event/BRegisterTypeCE.java,v 1.1 1999/10/11 10:40:59 tp079519 Exp $

package au.edu.swin.synergy.plugin.repository.event;

import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.plugin.userdb.BUser;

import java.lang.String;
import au.edu.swin.synergy.lib.BStringList;
import au.edu.swin.synergy.plugin.repository.BConflictDetect;
import au.edu.swin.synergy.plugin.dialect.BString;


/**
 * Register a conflict resolution file type
 * @see
 * @concurrency
 * @copyright
 * @rref
 * @author John Newbigin
 */

public class BRegisterTypeCE extends BCommandEvent
{
//	static final long serialVersionUID = 5694277680741704579L;

	protected String type = null;

	private BConflictDetect conflictDetect;

    public BRegisterTypeCE( Object source, String fType, BConflictDetect fConflict, BCommandComplete complete )
    {
        super( source );
        setCompletionObject( complete );

		type = fType;
		conflictDetect = fConflict;
    }

	public String getType()
	{
		return type;
	}

	public BConflictDetect getConflictDetector()
	{
		return conflictDetect;
	}


}
