// $Header
/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright
 * @rref
 */
package au.edu.swin.synergy.plugin.roomgui;

import javax.swing.JPanel;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.JFrame;
import java.awt.Dimension;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

import javax.swing.ListModel;
import javax.swing.AbstractListModel;
import javax.swing.DefaultListModel;
import au.edu.swin.synergy.plugin.rooms.event.BGetRoomCE;
import au.edu.swin.synergy.plugin.rooms.event.BGetRoomsCE;
import au.edu.swin.synergy.plugin.rooms.event.BEnterRoomCE;
import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;
import au.edu.swin.synergy.kernel.BPlugin;
import java.util.Vector;
import au.edu.swin.synergy.lib.BStringList;
import au.edu.swin.synergy.plugin.rooms.BRoom;
import au.edu.swin.synergy.debug.Debug;


/**
 * This allows the user to log on to the server.
 *
 * @author John Newbigin
 */

public class BNavigate
{
    /**
     * The combo box containing the list of available servers
     */
    JLabel currentRoomLabel = new JLabel();
    JLabel roomLabel = new JLabel();
    
    JLabel doorsLabel = new JLabel();
    
    JList doorList = new JList();
    
    JScrollPane doorScroll = new JScrollPane( doorList );
    
    JButton goButton = new JButton();
    
    JPanel panel;
    
    DoorListModel doorListModel = new DoorListModel();
    
    BPlugin plugin;
    /**
     * Please complete the missing tags for BNavigate
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public BNavigate( BPlugin fPlugin )
    {
        plugin = fPlugin;
        panel = new JPanel();
        panel.setSize( 400, 200 );
        panel.setLayout( null );
        
        try
        {
            jbInit();
        }
        catch( Exception ex )
        {
            ex.printStackTrace();
        }
        doorList.setModel( doorListModel );
        
        // send a request for a list of rooms
        //BGetRoomsCE event = new BGetRoomsCE(this, new OnGetRoomsCC(doorListModel));
        BGetRoomCE event = new BGetRoomCE( this, null, new OnGetRoomCC( doorListModel ) );
        plugin.dispatchEventServer( event );
    }
    /**
     * Please complete the missing tags for getPanel
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public JPanel getPanel()
    {
        return panel;
    }
    /**
     * Please complete the missing tags for reload
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    public void reload()
    {
        BGetRoomCE event = new BGetRoomCE( this, null, new OnGetRoomCC( doorListModel ) );
        plugin.dispatchEventServer( event );
    }
    /**
     * Please complete the missing tags for jbInit
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
    
    private void jbInit() throws Exception
    {
        currentRoomLabel.setText( "Current Room" );
        roomLabel.setText( "none" );
        
        doorsLabel.setText( "Doors" );
        
        goButton.setText( "Enter room" );
        
        
        currentRoomLabel.setBounds( 20, 20, 88, 25 );
        roomLabel.setBounds( 108, 20, 100, 25 );
        
        doorsLabel.setBounds( 20, 50, 88, 25 );
        goButton.setBounds( 108, 178, 100, 25 );
        doorScroll.setBounds( 108, 50, 126, 123 );
        
        panel.add( currentRoomLabel );
        panel.add( roomLabel );
        
        panel.add( doorsLabel );
        panel.add( goButton );
        panel.add( doorScroll );
        
        //Set up the listener
        //this.loginButton.addActionListener ( new onLoginButton () );
        //this.cancelButton.addActionListener ( new onCancelButton () );
        this.goButton.addActionListener( new onGoButton() );
    }
    
    /*    class onLoginButton implements java.awt.event.ActionListener
    {
        public void actionPerformed ( ActionEvent e )
        {
            Debug.doPrintln ( "login pressed" );
            userName = userNameField.getText ();
            password = new String ( passwordField.getPassword () );
            hostName = null;
            result = true;
            
            dialog.dispose ();
        }
    }
    
    class onCancelButton implements java.awt.event.ActionListener
    {
        public void actionPerformed ( ActionEvent e )
        {
            Debug.doPrintln ( "cancel pressed" );
            dialog.dispose ();
        }
    }
*/
    
    
    class DoorListModel extends AbstractListModel
    {
        BStringList rooms = new BStringList();
        
        public Object getElementAt( int index )
        {
            return rooms.get( index );
        }
        
        public int getSize()
        {
            return rooms.getCount();
        }
        
        public void addRoom( String room )
        {
            rooms.add( room );
            fireIntervalAdded( this, rooms.getCount(), rooms.getCount() );
        }
        
        public void clear()
        {
            int size = getSize();
            rooms.clear();
            fireIntervalRemoved( this, 0, size );
        }
    }
    
    class OnGetRoomsCC extends BCommandComplete
    {
        DoorListModel doorListModel;
        
        public OnGetRoomsCC( DoorListModel fDoorListModel )
        {
            doorListModel = fDoorListModel;
        }
        
        public void doComplete( BCommandEvent event, int status )
        {
            doorListModel.clear();
            BGetRoomsCE e = ( BGetRoomsCE ) event;
            Vector rooms = e.getRooms();
            for( int i = 0; i < rooms.size(); i++ )
            {
                BRoom room = ( BRoom ) rooms.get( i );
                doorListModel.addRoom( room.getName() );
            }
        }
    }
    
    class OnGetRoomCC extends BCommandComplete
    {
        DoorListModel doorListModel;
        
        public OnGetRoomCC( DoorListModel fDoorListModel )
        {
            doorListModel = fDoorListModel;
        }
        
        public void doComplete( BCommandEvent event, int status )
        {
            doorListModel.clear();
            BGetRoomCE e = ( BGetRoomCE ) event;
            BRoom room = e.getRoom();
            BStringList doors = room.getDoors();
            
            for( int i = 0; i < doors.getCount(); i++ )
            {
                doorListModel.addRoom( doors.get( i ) );
            }
            
            roomLabel.setText( room.getName() );
        }
    }
    
    class onGoButton implements java.awt.event.ActionListener
    {
        public void actionPerformed( ActionEvent e )
        {
            Debug.doPrintln( "entering room" );
            BEnterRoomCE event = new BEnterRoomCE( this, ( String ) doorList.getSelectedValue(), new OnGetRoomCC( doorListModel ) );
            plugin.dispatchEventServer( event );
            
        }
    }
    
}

