/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @rref
 */
   package au.edu.swin.synergy.plugin.roomgui;

   import java.io.InputStream;
   import java.io.PrintStream;
   import java.lang.String;
   import au.edu.swin.synergy.kernel.BPlugin;
   import au.edu.swin.synergy.kernel.BCommandEvent;
   import au.edu.swin.synergy.kernel.event.BBootCE;

   import au.edu.swin.synergy.kernel.BKernel;

   import java.util.Vector;
   import au.edu.swin.synergy.plugin.rooms.BRoom;

   import au.edu.swin.synergy.plugin.rooms.event.BGetRoomsCE;
   import au.edu.swin.synergy.plugin.rooms.event.BCreateRoomCE;
   import au.edu.swin.synergy.plugin.mod13.event.BAddMenuItemCE;
   import au.edu.swin.synergy.plugin.mod13.event.BAddWindowCE;
	import au.edu.swin.synergy.plugin.mod13.event.BCloseWindowCE;
   import au.edu.swin.synergy.plugin.mod13.bwt.BWindowAdapter;
   import au.edu.swin.synergy.plugin.mod13.bwt.BWindowEvent;
   import au.edu.swin.synergy.plugin.client.event.BLoginCompleteCE;
   import au.edu.swin.synergy.plugin.userdb.BInvalidPropertyException;
   import au.edu.swin.synergy.plugin.dialect.BString;

   import javax.swing.JPanel;


   import java.awt.event.ActionListener;
   import java.awt.event.ActionEvent;
   import java.io.File;
   import javax.swing.JMenuItem;
   import javax.swing.JOptionPane;
   import javax.swing.JFileChooser;

   import au.edu.swin.synergy.kernel.BCommandComplete;

   import au.edu.swin.synergy.plugin.rooms.BChatUser;
   import au.edu.swin.synergy.plugin.rooms.event.BAddUserCE;
   import au.edu.swin.synergy.plugin.rooms.event.BEditUserCE;
   import au.edu.swin.synergy.plugin.rooms.event.BRemoveUserCE;
   import au.edu.swin.synergy.plugin.rooms.event.BChatMsgCE;
   import au.edu.swin.synergy.plugin.rooms.event.BRoomChangeCE;
   import au.edu.swin.synergy.plugin.rooms.event.BKickCE;

   import au.edu.swin.synergy.plugin.prefs.event.BAddPrefsCE;
   import au.edu.swin.synergy.plugin.prefs.event.BUpdatePrefsCE;
   import au.edu.swin.synergy.plugin.prefs.event.BRemovePrefsCE;

   import au.edu.swin.synergy.plugin.command.BOnCommand;
   import au.edu.swin.synergy.plugin.command.event.BRegisterCmdCE;
   import au.edu.swin.synergy.lib.BStringList;
   import au.edu.swin.synergy.lib.BFile;
   import au.edu.swin.synergy.debug.Debug;

   import au.edu.swin.synergy.plugin.dialect.BString;

/**
 * Room Client/GUI
 * @Author John Newbigin
 * @Author Shane Fitzgibbon
 * @Copyright Synergy Software 1999
 */

   public class BRoomGui extends BPlugin
   {
      JMenuItem menuItem;
      BNavigate window = null;
      BChatGui chatGui = null;
      BPrefsPanel prefsPanel = null;
      BChatUser currentUser = null;
      String currentName = null;
      String currentNick = null;
      int currentAge = 0;
    /**
     * Please complete the missing tags for getCurrentUser
     * @param
     * @return
     * @pre
     * @post
     */
   
      public BChatUser getCurrentUser()
      {
         return currentUser;
      }
   
    /**
     * Please complete the missing tags for setup
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      public void setup(BStringList params)
      {
         registerMenu();
         registerPrefs();
         BRegisterCmdCE event = new BRegisterCmdCE( this, "chat", new BChatCmd() );
         dispatchEvent( event );
      }
    /**
     * Please complete the missing tags for doChangeRoom
     * @param
     * @return
     * @pre
     * @post
     */
   
      public void doChangeRoom()
      {
         chatGui.doChangeRoom();
      }
    /**
     * Please complete the missing tags for onBCommandEvent
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      public void onBCommandEvent( Object source, BCommandEvent event )
      {
         if( event instanceof BLoginCompleteCE )
         {
            BLoginCompleteCE e = ( BLoginCompleteCE ) event;
            // get the user name
         
            // log in to chat
            BChatUser user = new BChatUser();
            Debug.doPrintln( "e.getUsername() returns: " + e.getUserName() );

            try
            {
                if (prefsPanel.getName().equals(""))
                {
                   user.setName(e.getUserName());
                   prefsPanel.setName(e.getUserName());
                }
                else
                {
                   user.setName( prefsPanel.getName() );
                }
            }
            catch(BInvalidPropertyException p)
            {
                p.printStackTrace();
            }

            // fill in required info
            user.setNickname( prefsPanel.getNickname() );
            user.setAge( prefsPanel.getAge() );
            currentUser = user;
            BAddUserCE addUserEvent = new BAddUserCE( this, user, new BAddUserCC() );
            dispatchEventServer( addUserEvent );
         }
         else if( event instanceof BChatMsgCE )
         {
            if( event.getNetworkStatus() == BCommandEvent.kClient )
            {
               Debug.doPrintln( "got BChatMsgCE" );
               BChatMsgCE e = ( BChatMsgCE ) event;
               Debug.doPrintln( e.getMessage() );
               chatGui.getChatPanel().doGetChat( e );
               e.doComplete( BCommandComplete.kSuccess );
            }
         }
         else if( event instanceof BRoomChangeCE )
         {
            // we need to tell the window;
            if( window != null )
            {
               window.reload();
               chatGui.reload();
            }
            event.doComplete( BCommandComplete.kSuccess );
         }
         else if ( event instanceof BUpdatePrefsCE )
         {
         	//Update Preference Info
            this.doPrefUpdate();
         }
         else if ( event instanceof BKickCE )
         {
            BCloseWindowCE closeWindow = new BCloseWindowCE( this, chatGui );
            dispatchEvent( closeWindow );
         }
      }
    /**
     * Please complete the missing tags for onBCommandEvent
     * @post
     * @pre
     * @throws
     * @return
     * @param
     */
   
      private void registerMenu()
      {
        //Create the new room menu item
      
         menuItem = new JMenuItem ( "New Room" );
         menuItem.addActionListener ( new onNewRoom () );
         BAddMenuItemCE event = new BAddMenuItemCE(this, menuItem, new BString(this, "newroom"), new BString(this, BAddMenuItemCE.kEditMenu));
         event.addMenuItem ( menuItem, new BString(this, "newroom"));
         dispatchEvent(event);
      }
   
      private void registerPrefs ()
      {
         prefsPanel = new BPrefsPanel();
         Debug.doPrintln("In RegisterPrefs");
         BAddPrefsCE addPrefs = new BAddPrefsCE(this, prefsPanel, new BString ( this, "preferencetab" ), new BString ( this, "tooltip" ) );
         dispatchEvent( addPrefs );
         Debug.doPrintln("dispatched Prefs Event");
      }
   
   
   /**
   * Please complete the missing tags for createWindow
   * @post
   * @pre
   * @throws
   * @return
   * @param
   */
   
      private void createWindow ()
      {
         window = new BNavigate ( this );
         //Debug.doPrintln ( "Creating window" );
         //BAddWindowCE event = new BAddWindowCE ( this, window.getPanel (), "Navigate" );
         //dispatchEvent ( event );//*/
         chatGui = new BChatGui (this);
         chatGui.setSize(800,600);
         Debug.doPrintln ( "Creating window" );
         BAddWindowCE cevent = new BAddWindowCE ( this, chatGui, new BString(this, "chat" ));
         cevent.addWindowListener(new BChatWindowListener());
         dispatchEvent ( cevent );
      
      }
   
      private void doPrefUpdate()
      {
      
         BChatUser oldUser = this.currentUser;
      
         this.currentName = prefsPanel.getName();
         Debug.doPrintln("BRoomGui:doPrefUpdate:currentName: " + currentName);
         this.currentNick = prefsPanel.getNickname();
         Debug.doPrintln("BRoomGui:doPrefUpdate:currentNick: " + currentNick);
         this.currentAge = prefsPanel.getAge();
         Debug.doPrintln("BRoomGui:doPrefUpdate:currentName: " + currentName);

         try
         {
             this.currentUser.setName(prefsPanel.getName());

             // fill in required info

             this.currentUser.setNickname( prefsPanel.getNickname() );
             this.currentUser.setAge( prefsPanel.getAge());
             BEditUserCE editEvent = new BEditUserCE(this, currentUser, new BEditUserCC());
             dispatchEventServer(editEvent);
         }
         catch(BInvalidPropertyException p)
         {
            p.printStackTrace();
         }
      }


      class onRooms implements java.awt.event.ActionListener
      {
         public void actionPerformed ( ActionEvent e )
         {
            Debug.doPrintln ( "Listing the rooms" );
            BGetRoomsCE event = new BGetRoomsCE ( this, new BGetRoomsCC () );
            dispatchEventServer ( event );
         }
      
      }
   
      class BGetRoomsCC extends BCommandComplete
      {
         public void doComplete ( BCommandEvent event, int status )
         {
            Debug.doPrintln ( "got list of rooms" );
            BGetRoomsCE e = ( BGetRoomsCE ) event;
         
            Vector rooms = e.getRooms();
            chatGui.getControlPanel().updateRooms( rooms );
         
            for( int i = 0; i < rooms.size(); i++ )
            {
               BRoom room = ( BRoom ) rooms.get( i );
               Debug.doPrintln( room.getName() );
            }
         }
      }
   
      class onNewRoom implements java.awt.event.ActionListener
      {
         public void actionPerformed( ActionEvent e )
         {
            String newRoomName;
            if( ( newRoomName = ( String ) JOptionPane.showInputDialog( null, "Entrer room name :", "New Room",
                                    JOptionPane.PLAIN_MESSAGE, null, null, "" ) ) != null )
            {
               BCreateRoomCE event = new BCreateRoomCE( this, newRoomName, null );
               dispatchEventServer( event );
            }
         }
      
      }
   
      class BAddUserCC extends BCommandComplete
      {
         public void doComplete( BCommandEvent event, int status )
         {
            Debug.doPrintln( "BRoomGui:BAddUserCC:doComplete:event: " + event + " status: " + status );
            BAddUserCE e = (BAddUserCE) event;
            currentUser = e.getUser();
            createWindow();
            //registerPrefs ();
         }
      }
      class BRemoveUserCC extends BCommandComplete
      
      {
      
         public void doComplete( BCommandEvent event, int status )
         
         {
            Debug.doPrintln( "BRoomGui:BRemoveUserCC:doComplete:event: " + event + " status: " + status );
         }
      }
      class BEditUserCC extends BCommandComplete
      {
         public void doComplete( BCommandEvent event, int status )
         {
            Debug.doPrintln( "BRoomGui:BEditUserCC:doComplete:event: " + event + " status: " + status );
         }
      }
   
      class BChatWindowListener extends BWindowAdapter
      {
         public void windowClosing( BWindowEvent windowEvent )
         {
            Debug.doPrintln("/n Window Closing ");
            BRemoveUserCE removeUserEvent = new BRemoveUserCE( this, currentUser, new BRemoveUserCC() );
            dispatchEventServer( removeUserEvent );
         }
      }
   
   
      class BChatCmd implements BOnCommand
      {
         public int onCommand( BStringList params, InputStream in, PrintStream out )
         {
            Debug.doPrintln( "Sending chat message" );
            BChatMsgCE event = new BChatMsgCE( this, "This is a test", "System" );
            dispatchEventServer( event );
            return 0;
         }
      
         public String getHelp( BStringList params )
         {
            return "Send BChatMsgCE event (NYI)";
         }
      
      }
   }

