/**
 * Please complete these missing tags
 * @see
 * @concurrency
 * @copyright
 * @rref
 * @author
 */
//$Header

package au.edu.swin.synergy.plugin.rooms.event;

import java.lang.String;

import javax.swing.ImageIcon;
import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.kernel.BCommandComplete;


public class BGetThumbNailCE extends BCommandEvent

{
    /**
     * Name of file to retrieve from server.
     */
    String fileName = null;
    
    /**
     * File retrieved from server and to be returned to client.
     */
    ImageIcon icon = null;

    /**
     * Constructor
     * @param source Source of event.
	 * @param name Name of file to get thumbnail of.
	 * @param complete Completion object to execute once event been processed.
     */       
    public BGetThumbNailCE( Object source, String name, BCommandComplete complete )
    
    {
        super( source );
        setCompletionObject( complete );
        setFileName( name );
    }

    /**
     * Get file name been set in this event.
     * @return Name of file which thumbnail is to be created.
     * @pre File name has been set.
     */
    public String getFileName()    
    {
        return fileName;
    }

    /**
     * Set file name.
     * @param name Name of file to have thumbnail created.
     */
    public void setFileName( String name )    
    {
        fileName = name;
    }

    /**
     * Get thumbnail.
     * @return Image icon containing picture.
     * @pre Thumbnail has been created and set in event.
     */
    public ImageIcon getThumbNail()    
    {
        return icon;
    }

    /**
     * Set thumbnail in event.
     * @param image Image icon to be sent to client.
     */
    public void setThumbNail( ImageIcon image )   
    {
        this.icon = image;
    }
}
