// $Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/rooms/event/BRoomChangeCE.java,v 1.4 1999/08/28 10:20:24 tp079519 Exp $
/**
 * Event telling listeners a room has changed.
 * @author John Newbigin
 * @copyright
 */
package au.edu.swin.synergy.plugin.rooms.event;

import java.lang.String;
import au.edu.swin.synergy.kernel.BCommandEvent;
import au.edu.swin.synergy.lib.BStringList;

public class BRoomChangeCE extends BCommandEvent
{
	/**
	* Name of room.
	*/
    String roomName;

    /**
     * Default constructor.
     * @param source Source of event.
	 * @param fRoomName Name of room.
     */    
    public BRoomChangeCE( Object source, String fRoomName )
    {
        super( source );
        roomName = fRoomName;
    }

    /**
     * Get name of room contained in this event.
     * @return Room name
     * @pre Room name has been set.
     */    
    public String getRoomName()
    {
        return roomName;
    }
}
