//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/rtp/BRepositoryPanel.java,v 1.1 1999/10/06 16:27:31 tp079541 Exp $
package au.edu.swin.synergy.plugin.rtp;

import java.awt.*;
import java.awt.event.*;

/**
 * Interface that panels for the repository client should implement
 *
 * @author Shane Fitzgibbon
 */

public interface BRepositoryPanel
{

	void addComboListener( ActionListener listener );

	void addDir( String dir );

	void addMouseListener( MouseListener listener );

	String getComboText();

	String getSelectedFile();

	BResFileModel getTableModel();

	boolean isFileSelected();

	void removeDir( String dir );

	void setCurrentDir( String dir );

	void setPopupListener( MouseListener listener );

	String getCurrentDir();

}