package au.edu.swin.synergy.plugin.server;


import java.io.OutputStream;
import java.io.InputStream;

/**
 * Interface implemented by SocketObjectStream filters
 * @author John Newbigin
 */
 
public interface BSessionSetup
{
	/** 
	 * Do the work here.  Store the new input & output streams
	 * they will be read immediatly after setStreams is called
	 */
	public BStreamSet setStreams(boolean isServer, InputStream inputStream, OutputStream outputStream);
}
