package au.edu.swin.synergy.plugin.server;


import java.io.OutputStream;
import java.io.InputStream;

/**
 * A pair of streams which is returned by a session setup filter
 * @author John Newbigin
 */
 
public class BStreamSet
{
	private InputStream inputStream = null;
	private OutputStream outputStream = null;

	public void setInputStream(InputStream fInputStream)
	{
		inputStream = fInputStream;
	}

	public void setOutputStream(OutputStream fOutputStream)
	{
		outputStream = fOutputStream;
	}

	public InputStream getInputStream()
	{
		return inputStream;
	}

	public OutputStream getOutputStream()
	{
		return outputStream;
	}
}
