

package au.edu.swin.synergy.plugin.userdb.event;

/**
 * Any events which extend this will require the
 * user responsible for the event to have administrator
 * access in order to be executed.
 *
 * @author Tristan Austin
 */
public class BAdminCE extends BUserDBCE
{
    /**
     * Simply provides a means for child events
     * to set their source
     *
     * @param   source  The source of the event
     */
    public BAdminCE(Object source)
    {
        super(source);
    }
} 
