//$Header: /teamproj/cvsroot/teamb/bkasrc/au/edu/swin/synergy/plugin/workspace/propertybag/BPropertyBagStringItem.java,v 1.2 1999/10/06 11:30:47 tp082177 Exp $
package au.edu.swin.synergy.plugin.workspace.propertybag;

/**
 * The BPropertyBagStringItem is a more specific version of the
 * BPropertyBagItem for String manipulation. It provides a default editor
 * and more specific methods than the BPropertyBagItem interface.
 */
public interface BPropertyBagStringItem extends BPropertyBagItem
{
	/**
	 * After a property has been edited by a user in the BPropertyBag object,
	 * this method is called to check if the new value should be allowed.
	 * @param oldValue The old value of the property.
	 * @param newValue The new value of the property (as returned from the
	 * appropriate default String editor calling this method).
	 * @return If true is returned, the edit is completed. If false is returned,
	 * then the editor will force the user rechoose a value.
	 */
	public abstract boolean isChangeAllowed (String oldValue, String newValue);

};
